/**
 * @author Danny Shacham and Yehoyariv Louck
 *
 */
public class NCS implements Comparable{
	private PPMV ppmv;
	private double ncs;
	public NCS(PPMV ppmv, double ncs) {
		this.ppmv = ppmv;
		this.ncs = ncs;
	}
	public PPMV getPPMV() {
		return ppmv;
	}
	public double getNCS() {
		return ncs;
	}
	public boolean equals(Object o) {
		if (!(o instanceof NCS)) {
			return false;
		}
		NCS temp = (NCS)o;
		boolean flag = temp.ppmv.equals(ppmv); 
		return flag;
	}
	public String toString() {
		String result = ppmv  +"\t"+ncs;
		return result;
	}
	public int compareTo(Object o) {
		NCS temp = (NCS)o;
		if (ncs > temp.ncs) {
			return 1;
		} else {
			if (ncs == temp.ncs) {
				return 0;
			} else {
				return -1;
			}
		}
	}
}
