/**
 * @author Danny Shacham
 *
 */
public class Word {
	private String stem;
	private String suffix;
	
	public Word(String stem, String suffix) {
		this.stem = stem;
		this.suffix = suffix;
	}
	public String getStem() {
		return stem;
	}
	public String getSuffix() {
		return suffix;
	}
	public boolean equals(Object o) {
		if (!(o instanceof Word)) {
			return false;
		}
		Word temp = (Word)o;
		return suffix.equalsIgnoreCase(temp.suffix);
	}
	public String toString() {
		return "["+stem+")("+suffix+"]";
	}
}
